<?php
/**
* @version 			SEBLOD 2.x Core ~ $Id: index.php alexandre_lapoux $
* @package			SEBLOD (App Builder & CCK) // SEBLOD Seb_nivo_slider (Form Builder)
* @url				http://www.seblod.com
* @editor			Octopoos - www.octopoos.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// No Direct Access
defined( '_JEXEC' ) or die;

// -- Initialize
require_once dirname(__FILE__).DIRECTORY_SEPARATOR.'config.php';
$cck	=	CCK_Rendering::getInstance( $this->template );
if ( $cck->initialize() === false ) { return; }
$doc						=	JFactory::getDocument();
$id 						= 	$cck->id;	
$items						=	$cck->getItems();
$url_template=JURI::root( true ).'/templates/'.$this->template;

$settings 					= array(
		'miniature' 				=>	"thumb".$cck->getStyleParam('miniature', '1'),
);

// gege modification
$minheight = $cck->getStyleParam('minHeight', 500);
$minheight = strpos($minheight,'%') !== false || strpos($minheight,'auto') !== false ? "'". $minheight . "'" : $minheight;

$settings_js				= array(
//		'minHeight' 			=>	$cck->getStyleParam('minHeight', 500),
		'minHeight'                     =>      $minheight,
		'speed' 				=>	$cck->getStyleParam('speed', 350),
		'easing'				=>	$cck->getStyleParam('easing', "'ease'")
);

foreach( $settings_js as $cle=>$valeur ) {
	$js_params .= ( !$prems ) ? $cle." : ".$valeur : ",".$cle." : ".$valeur;
	$prems	=	1;
}

// Add CSS file
$doc->addStyleSheet( $url_template.'/css/default.css' );
$doc->addStyleSheet( $url_template.'/css/styles.css' );

// Set template
$all_fields	=	'';

// Set items
foreach( $items as $item ) {
	
	$title = $desc = $img= $after='';		
	$fields	=	$item->fields;
	
	
	foreach( $fields as $field ){
		if($field->position == 'hidden')	continue;
		switch($field->position){
			
			case "topbody":
				$title.=$item->renderField( $field->name);
				break;
				
			case "mainbody":
				$desc.=$item->renderField( $field->name);
				break;
			
			case "sidebody-a":
				$img_gde=$field->$settings['miniature'];
				$img=$item->renderField( $field->name);
				break;
				
			case "sidebody-b":
				$lien_site=$field->value;
				$title_lien_site=$field->label;
				break;
			
			default:
				$after.=$item->renderField( $field->name);
				break;
		}
	}

	$artid=$fields['art_id']->value;
	if($artid==(int)$_GET['id'])	$li= "<li class='toopen'>";
	else	$li= "<li>";
	
// gege hack, that's really ugly
    //    if(strpos($img_gde,'http://')){
                $img_gde = JURI::base().$img_gde;
      //  }
	
	
	$fields=$li.'
		<a href="'.$lien_site.'" 
			data-largesrc="'.$img_gde.'" 
			data-title="'.$title.'" data-titlelink="'.$title_lien_site.'">
			<span class="description">'.$desc.'</span>
			<span class="after">'.$after.'</span>
			'.$img.'
		</a>
	</li>';

	//var_dump($fields);
	$all_fields.=$fields;
}
?>

<div class="main">
	<ul id="og-grid" class="og-grid"><?php echo $all_fields ?></ul>
	<script type="text/javascript">	$=jQuery;</script>
	<script src="<?php echo $url_template ?>/js/modernizr.custom.js"></script>
	<script src="<?php echo $url_template ?>/js/grid.js"></script>
	<script>
		jQuery(function() {
			Grid.init({  <?php echo $js_params ?> });
		});
	</script>
</div>	
<?php
$cck->finalize();
?>
